# Manipulación de datos con Python

La asignatura cubre los siguientes aspectos de Python:

* Python básico (programación, estructuras de datos, funciones, clases,...);
  este material se entenderá ya conocido.
* Operaciones con texto y fechas.
* Numpy
* Pandas
* Webscraping, JSON y XML con Python

## Python básico

Los contenidos del la [introducción a Python de Thomas Cokeleer](https://thomas-cokelaer.info/tutorials/python/) se considerarán ya conocidos. Durante el curso realizaremos ejercicios para asentar el conocimiento de algunos de los conceptos más importantes.

## Operaciones con texto y fechas

Para fechas, el módulo `datetime`. Para texto, esencialmente `re`.

## Numpy

Como material para numpy usaremos los [_lecture notes_ de Scipy](https://www.scipy-lectures.org/intro/index.html) y, en particular, las secciones 1.3 (numpy propiamente dicho) y 1.4 (gráficos). También se incluirán contenidos de la sección 1.5.6 (estadística y probabilidad).

## Pandas

La referencia pedagógica fundamnetal será la [introducción a Pandas en 10 minutos](https://pandas.pydata.org/pandas-docs/stable/10min.html), ampliado con material extraído de la [documentación de Pandas](https://pandas.pydata.org/pandas-docs/stable/index.html).

## Acceso a datos

Esta sección cubre tres temas fundamentales:

* Webscraping con Python
* Manipulación de objetos JSON
* Manipulación de XML
